\section{Estimation}
Estimation is one of the hardest but also one of the most needed practices in software engineering.

\subsection{What is an Estimate}
The main problem ist, that the business does view an estimate as a commitment and the developers doe view the estimate as a guess.

\paragraph{A Commitment}
The commitment is something you must achieve, if you agree to do something by a date, you have to do it in order to achieve commitment.

\paragraph{An Estimate}
The estimate of a task is a pure guess. There is no commitment made or an assurance that the task will take exactly this time.

\subsection{PERT}
The program evaluation and review technique (PERT) was create to support an US marine project.

When an estimate is made, you should make three estimates:
\begin{description}
	\item[Optimistic Estimate] A wildly optimistic estimate of the duration of the task. The chance of occurrence should be way under 1\%.
	\item[Normale Estimate] This should be the estimate with the greatest chance of success. It should be the guess with the highest probability.
	\item[Pessimistic Estimate] Should also have a probability of less than 1\%. 
\end{description}

Therefore we can calculate the expected duration of the task $\mu$.
\[ \mu = \frac{O + 4N + P}{6} \]

We can also calculate the standard derivation of the task. This is a measure of how uncertain a task is.

\[ \sigma = \frac{P-O}{6} \]

\subsection{Estimating Tasks}
A good source for estimation are the people around you. They can help you to estimate the task you want to estimate.

\paragraph{Wideband Delphi}
It is a very simple task, a group of people do discuss over an item as long as they don't agree over the length of the task. 

\paragraph{Flying Fingers}
All the participants can vote how long a task will take. For this the moderator does present a task and all the people have to vote at the same time and they have to agree on the amount of points a task does take (0-5 Fingers).

\paragraph{Planning Poker}
Was presented in the lecture and is therefore skipped here.

\subsection{The Law of Large Numbers}
Errors and estimates tend to underestimation and not to overestimation.




